# Class GMImport

java.lang.Object
GMImport

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class GMImport extends Object implements ActionListener
La classe GMImport est utilisée pour importer une grille à partir d'un fichier. Elle implémente l'interface ActionListener pour réagir aux événements de clic sur un bouton.

## Constructor Summary

Constructors
Constructor
Description
`GMImport(JFrame frame, GMGrid sudokuGrid)`
Constructeur pour créer une instance de GMImport.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Méthode invoquée lorsqu'un événement d'action est déclenché, comme un clic sur un bouton.
`void`
`importGrid()`
Affiche une boîte de dialogue de sélection de fichier et importe la grille à partir du fichier sélectionné.
`boolean`
`readFile()`
Lit les données à partir du fichier sélectionné et les stocke dans un tableau.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMImport

public GMImport(JFrame frame, GMGrid sudokuGrid)
Constructeur pour créer une instance de GMImport.

Parameters:
  `frame` - La fenêtre précédente
  `sudokuGrid` - La grille Sudoku

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Méthode invoquée lorsqu'un événement d'action est déclenché, comme un clic sur un bouton. Importe la grille à partir du fichier sélectionné.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - L'événement d'action

### importGrid

public void importGrid()
Affiche une boîte de dialogue de sélection de fichier et importe la grille à partir du fichier sélectionné.

### readFile

public boolean readFile()
Lit les données à partir du fichier sélectionné et les stocke dans un tableau.

Returns:
  true si la lecture est réussie, false sinon